Index: /LMDZ.3.3/branches/rel-LF/libf/phylmd/write_histmth.h
===================================================================
--- /LMDZ.3.3/branches/rel-LF/libf/phylmd/write_histmth.h	(revision 505)
+++ /LMDZ.3.3/branches/rel-LF/libf/phylmd/write_histmth.h	(revision 506)
@@ -522,77 +726,5 @@
       ENDIF
 c
-c     zx_tmp_fi2d(1 : klon) = ZFSUP( 1 : klon, klevp1)
-      zx_tmp_fi2d(1 : klon) = swup ( 1 : klon, 2 )
-      CALL gr_fi_ecrit(1,klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
-      CALL histwrite(nid_mth, "SWupTOA",itau_w,zx_tmp_2d,
-     .                               iim*jjmp1,ndex2d)
-c
-c      zx_tmp_fi2d(1 : klon) = ZFSUP( 1 : klon, 1)
-      zx_tmp_fi2d(1 : klon) = swup ( 1 : klon, 1 )
-      CALL gr_fi_ecrit(1,klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
-      CALL histwrite(nid_mth, "SWupSFC",itau_w,zx_tmp_2d,
-     .                               iim*jjmp1,ndex2d)
-c
-c      zx_tmp_fi2d(1 : klon) = ZFSDN( 1 : klon, klevp1)
-      zx_tmp_fi2d(1 : klon) = swdn ( 1 : klon, 2 )
-      CALL gr_fi_ecrit(1,klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
-      CALL histwrite(nid_mth, "SWdnTOA",itau_w,zx_tmp_2d,
-     .                               iim*jjmp1,ndex2d)
-c
-c      zx_tmp_fi2d(1 : klon) = ZFSDN( 1 : klon, 1)
-      zx_tmp_fi2d(1 : klon) = swdn ( 1 : klon, 1 )
-      CALL gr_fi_ecrit(1,klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
-      CALL histwrite(nid_mth, "SWdnSFC",itau_w,zx_tmp_2d,
-     .                               iim*jjmp1,ndex2d)
-c
-c      zx_tmp_fi2d(1 : klon) = ZFSUP0( 1 : klon, klevp1)
-      zx_tmp_fi2d(1 : klon) = swup0 ( 1 : klon, 2 )
-      CALL gr_fi_ecrit(1,klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
-      CALL histwrite(nid_mth, "SWupTOAclr",itau_w,zx_tmp_2d,
-     .                               iim*jjmp1,ndex2d)
-c
-c      zx_tmp_fi2d(1 : klon) = ZFSUP0( 1 : klon, 1)
-      zx_tmp_fi2d(1 : klon) = swup0 ( 1 : klon, 1 )
-      CALL gr_fi_ecrit(1,klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
-      CALL histwrite(nid_mth, "SWupSFCclr",itau_w,zx_tmp_2d,
-     .                               iim*jjmp1,ndex2d)
-c
-c      zx_tmp_fi2d(1 : klon) = ZFSDN0( 1 : klon, klevp1)
-      zx_tmp_fi2d(1 : klon) = swdn0 ( 1 : klon, 2 )
-      CALL gr_fi_ecrit(1,klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
-      CALL histwrite(nid_mth, "SWdnTOAclr",itau_w,zx_tmp_2d,
-     .                               iim*jjmp1,ndex2d)
-c
-c      zx_tmp_fi2d(1 : klon) = ZFSDN0( 1 : klon, 1)
-      zx_tmp_fi2d(1 : klon) = swdn0 ( 1 : klon, 1 )
-      CALL gr_fi_ecrit(1,klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
-      CALL histwrite(nid_mth, "SWdnSFCclr",itau_w,zx_tmp_2d,
-     .                               iim*jjmp1,ndex2d)
-c
-c  Champs interpolles sur des niveaux de pression
-
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, u850,zx_tmp_2d)
-      CALL histwrite(nid_mth,"u850",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
-
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, v850,zx_tmp_2d)
-      CALL histwrite(nid_mth,"v850",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
-
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, u500,zx_tmp_2d)
-      CALL histwrite(nid_mth,"u500",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
-
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, v500,zx_tmp_2d)
-      CALL histwrite(nid_mth,"v500",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
-
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, u200,zx_tmp_2d)
-      CALL histwrite(nid_mth,"u200",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
-
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, v200,zx_tmp_2d)
-      CALL histwrite(nid_mth,"v200",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
-
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, phi500,zx_tmp_2d)
-      CALL histwrite(nid_mth,"phi500",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
-
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, w500,zx_tmp_2d)
-      CALL histwrite(nid_mth,"w500",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
+      ENDIF !lev_histmth.GE.4
 c
       if (ok_sync) then
